import Popup from "@/components/popup";
import { ScrollView, Text, View } from "@tarojs/components";
import { memo, useMemo } from "react";
import styles  from './index.module.scss'

type ReasonParam = 1|2|3 //1 退货原因 2 货物状况 3 退货说明
//原因选择
type ReasonInfoParam = {
    show?: boolean,
    onClose?: () => void,
    status: ReasonParam
}
export default memo(({show = false, onClose, status}: ReasonInfoParam) => {
    const title = useMemo(() => {
        if(status == 1) return '退货原因'
        if(status == 2) return '货物状况'
        if(status == 3) return '退货说明'
    },[status])
    return (
        <Popup showIconButton={false} show={show} title="申请退货" onClose={onClose} >
            <View className={styles.reason_return_con}>
                <View className={styles.reason_title}><Text>{title}</Text></View>
                <ScrollView scrollY className={styles.reason_scroll}>
                    <View className={styles.reason_list}>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                        <View className={styles.reason_item}>完好无损带原标签</View>
                    </View>
                </ScrollView>
            </View>
        </Popup>
    )
})